cascading.flow.planner.iso.transformer

## Class ContractedTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<E,E>
  - - cascading.flow.planner.iso.transformer.RecursiveGraphTransformer<ElementGraph>
    - - cascading.flow.planner.iso.transformer.ContractedTransformer

-     public class ContractedTransformer
      extends RecursiveGraphTransformer<ElementGraph>

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `DEFAULT_TRANSFORM_RECURSION_DEPTH_MAX, TRANSFORM_RECURSION_DEPTH_MAX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractedTransformer(ExpressionGraph expression)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Transformed<ElementGraph>` | `transform(PlannerContext plannerContext, ElementGraph rootGraph)`
    `protected boolean` | `transformGraphInPlaceUsing(Transformed<ElementGraph> transformed, ElementGraph graph, Match match)`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.RecursiveGraphTransformer

      `addExclusions, prepareForMatch, requiresRecursiveSearch, transform`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractedTransformer

          public ContractedTransformer(ExpressionGraph expression)

  - ### Method Detail

    - #### transform

          public Transformed<ElementGraph> transform(PlannerContext plannerContext,
                                            ElementGraph rootGraph)

      Overrides:
        `transform` in class `RecursiveGraphTransformer<ElementGraph>`

    - #### transformGraphInPlaceUsing

          protected boolean transformGraphInPlaceUsing(Transformed<ElementGraph> transformed,
                                           ElementGraph graph,
                                           Match match)

      Specified by:
        `transformGraphInPlaceUsing` in class `RecursiveGraphTransformer<ElementGraph>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.